- [HTTP request](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.services.standardOffers/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.services.standardOffers/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.services.standardOffers/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.services.standardOffers/get#body.request_body)
- [Response body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.services.standardOffers/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.services.standardOffers/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.services.standardOffers/get#body.aspect_1)
- [StandardOfferView](https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.services.standardOffers/get#StandardOfferView)

Gets details of a single StandardOffer.

### HTTP request

`GET https://commerceproducer.googleapis.com/v1beta/{name=projects/*/locations/*/services/*/standardOffers/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the resource |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.services.standardOffers/get#StandardOfferView`)`` Optional. The view of the StandardOffer to return. If unspecified, the default view is BASIC. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/marketplace/docs/partners/commerce-producer-api/reference/rest/v1beta/projects.locations.services.standardOffers#StandardOffer`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `commerceproducer.standardOffers.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## StandardOfferView

Controls which fields are returned in a StandardOffer returned by the API. <https://google.aip.dev/157>

| Enums ||
|---|---|
| `STANDARD_OFFER_VIEW_UNSPECIFIED` | The default / unset value. The API will default to the BASIC view. |
| `STANDARD_OFFER_VIEW_BASIC` | Include basic metadata about the StandardOffer, but not the full contents. This is the default value (for both List and Get requests). |
| `STANDARD_OFFER_VIEW_FULL` | Include everything. |